﻿using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Globalization;
using Infragistics.Windows;
using System.Windows.Threading;

namespace XamTreeGrid_sample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void treeGrid_Loaded(object sender, RoutedEventArgs e)
        {
            (sender as XamTreeGrid).Records.ExpandAll(true);
        }

        private void TreeCellValuePresenter_Loaded(object sender, RoutedEventArgs e)
        {
            var cvp = (sender as TreeCellValuePresenter);
            if (cvp.Field.Name == "Name")
                cvp.Foreground = Brushes.Red;
        }
    }

    class ForegroundConverter : IValueConverter
    {
        object IValueConverter.Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            Dispatcher.CurrentDispatcher.BeginInvoke(new Action(() =>
            {
                var cvp = value as CellValuePresenter;
                var field = cvp.Field;
            }));

            return Binding.DoNothing;
        }

        object IValueConverter.ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
