﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamTreeGrid_sample
{
    public class SimpleDataSource
    {
        private List<FileNode> fileNodes;
        public List<FileNode> FileNodes
        {
            get
            {
                if (fileNodes == null) fileNodes = GetDataSource();
                return fileNodes;
            }
        }

        private List<FileNode> GetDataSource()
        {
            List<FileNode> list = new List<FileNode>();

            for (int i = 1; i <= 5; ++i)
            {
                var newNode = new FileNode() { Name = "Parent Node " + i, Size = null };
                newNode.SubNodes = new List<FileNode>() { new FileNode() { Name = "Child Node " + i + "." + 1, Size = i * 2,
                                                                           SubNodes= new List<FileNode>() 
                                                                           { new FileNode() { Name = "Inner node", Size = i * 4 } } },
                                                          new FileNode() {Name = "Child Node " + i + "." + 2, Size = i * 3 }
                                                        };

                list.Add(newNode);
            }

            return list;
        }
    }
}
